curl https://api.thanxsandbox.com/cards \
-X GET \
-H "Content-Type: application/json" \
-H "Accept-Version: v4.0" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${token}" \
-H "X-ClientId: ${client_id}"
{
"cards": [
{
"id": "92b7b0dac4",
"user_id": "weorusfs",
"last4": "1234",
"type": "visa",
"zip_code": "12345"
},
{
"id": "wer340fweiu",
"user_id": "weorufjsdf",
"last4": "4567",
"type": "amex",
"zip_code": "54321"
}
]
}
Cards
Get Cards
This section describes endpoints that enable a third party to fetch and register a user’s cards. This endpoint describes all registered cards for the given user.
GET
/
cards
curl https://api.thanxsandbox.com/cards \
-X GET \
-H "Content-Type: application/json" \
-H "Accept-Version: v4.0" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${token}" \
-H "X-ClientId: ${client_id}"
{
"cards": [
{
"id": "92b7b0dac4",
"user_id": "weorusfs",
"last4": "1234",
"type": "visa",
"zip_code": "12345"
},
{
"id": "wer340fweiu",
"user_id": "weorufjsdf",
"last4": "4567",
"type": "amex",
"zip_code": "54321"
}
]
}
Please review proper request headers here.
Response
string
Card ID
string
The user the card belongs to
string
Last 4 digits of the card PAN
enum
Card type (visa, mastercard, amex)
string
The card's billing zip code
curl https://api.thanxsandbox.com/cards \
-X GET \
-H "Content-Type: application/json" \
-H "Accept-Version: v4.0" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${token}" \
-H "X-ClientId: ${client_id}"
{
"cards": [
{
"id": "92b7b0dac4",
"user_id": "weorusfs",
"last4": "1234",
"type": "visa",
"zip_code": "12345"
},
{
"id": "wer340fweiu",
"user_id": "weorufjsdf",
"last4": "4567",
"type": "amex",
"zip_code": "54321"
}
]
}